package com.lovenav.dao;

import com.lovenav.entity.UrlAccess;
import org.apache.ibatis.annotations.MapKey;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import java.util.Date;
import java.util.HashMap;

@Repository
@Mapper
public interface UrlAccessDao {
    int deleteByPrimaryKey(Integer id);

    int insert(UrlAccess record);

    int insertSelective(UrlAccess record);

    UrlAccess selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(UrlAccess record);
    UrlAccess selectAlreadyExist(UrlAccess urlAccess);

    int updateByPrimaryKey(UrlAccess record);

    int updateByUrlId(UrlAccess record);
    @MapKey("time")
    HashMap<Date,Object> selectUrlAccess(UrlAccess urlAccess);
}